# $Revision: 1.13 $, $Date: 2004/12/05 16:07:42 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Kakasi
Summary:	A KAKASI library module for Perl
Summary(cs):	Modul s KAKASI knihovnou pro Perl
Summary(da):	Et KAKASI-modul for Perl
Summary(de):	Ein KAKASI-Bibliothek Modul fr Perl
Summary(es):	Mdulo de la Biblioteca KAKASI para Perl
Summary(fr):	Un module de bibliothque Kakasi pour Perl
Summary(it):	Modulo di libreria KAKASI per Perl
Summary(ja):	Perl Ѥ KAKASI 饤֥⥸塼
Summary(ko):	  KAKASI ̺귯 
Summary(nb):	Et KAKASI-modul for Perl
Summary(pl):	Interfejs Perla do biblioteki KAKASI
Summary(pt):	Um mdulo da biblioteca KAKASI para o Perl
Summary(ru):	  KAKASI  Perl
Summary(sv):	En KAKASI-bibliotekmodul fr Perl
Summary(zh_CN):	Perl  KAKASI ģ顣
Name:		perl-Text-Kakasi
Version:	2.04
Release:	1
# README says just GPL, but module itself GPL v2+
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5a9e381cb93edfd707124a63c60f96b1
URL:		http://www.daionet.gr.jp/~knok/kakasi/
BuildRequires:	kakasi-devel >= 2.3.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	kakasi-dict
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI. KAKASI is the language processing filter to convert Kanji
characters to Hiragana, Katakana or Romaji and may be helpful to read
Japanese documents. More information about KAKASI is available at
<http://kakasi.namazu.org/>.

%description -l cs
Modul Text-Kakasi poskytuje rozhran ke knihovn libkakasi do jazyka Perl.
KAKASI je filtr pro konverze japonskch znak Hiragana, Katakana nebo Romaji.

%description -l da
Modulet Text-Kakasi giver et grnseflade for Perl til libkakasi (et
KAKASI-bibliotek).  KAKASI er et sprogbearbejdningsfilter for at
konvertere Kanjitegn til Hiragana, Katakana eller Romaji.

%description -l de
Das Text-Kakasi-Modul untersttzt ein libkakasi (eine KAKASI-Bibliothek)
Interface fr Perl.  KAKASI ist ein Sprachprozessfilter zur Umwandlung der
Kanji-Schriftzeichen in Hirahana, Katakana oder Romaji.

%description -l es
El mdulo Text-Kakasi proporciona una interfaz de libkakasi (biblioteca
KAKASI) para Perl. KAKASI es un filtro del proceso de lenguaje para
convertir carcteres Kanji a los Hiragana, Katana o Romaji.

%description -l fr
Le module Text-Kakasi fournit une interface libkakasi (bibliothque Kakasi)
pour Perl. Kakasi est un filtre de processeur de langage pour convertir les
caractres Kanji en caractres Hiragana, Katakana ou Romaji.

%description -l it
Il modulo Text-Kakasi fornisce un'interfacia libkakasi (una libreria
KAKASI) per Perl. KAKASI  un filtro di elaborazione delle lingue per
convertire i caratteri Kanji in Hirigana, Katakana o Romanji.

%description -l ja
Υ⥸塼ϡⶶ͵κ줿եȥKAKASIperl
Ѥ뤿ΤΤǤ

Υ⥸塼ȤˤϡǿǤKAKASI(2.3.0ʹ)ɬפǤ
ǿǤ˴ؤƤϡ<http://kakasi.namazu.org/>򻲾ȤƤ

%description -l pl
Ten modu dostarcza interfejs libkakasi dla Perla. libkakasi to cz
pakietu KAKASI. KAKASI to filtr konwertujcy znaki Kanji na Hiragana,
Katakana lub Romaji, ktry moe by przydatny przy czytaniu japoskich
dokumentw. Wicej informacji o KAKASI znajduje si na stronie
<http://kakasi.namazu.org/>.

%description -l pt
O mdulo Text-Kakasi oferece uma interface da libkakasi (uma biblioteca
de KAKASI) para o Perl. O KAKASI  um filtro de processamento para
converter os caracteres Kanji para Hiragana, Katakana ou Romaji.

%description -l ru
 Text-Kakasi   libkakasi,  
 KAKASI  Perl.  KAKASI   
   Kanji  Hiragana, Katakana  Romaji.
%description -l sv
Modulen Text-Kakasi ger ett grnssnitt fr Perl till libkakasi (ett
KAKASI-bibliotek).  KAKASI r ett sprkbearbetningsfilter fr att
konvertera Kanjitecken till Hiragana, Katakana eller Romaji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%lang(ja) %doc README.jp
%{perl_vendorarch}/Text/*.pm
%dir %{perl_vendorarch}/auto/Text/Kakasi
%attr(755,root,root) %{perl_vendorarch}/auto/Text/Kakasi/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Kakasi.spec,v $
Revision 1.13  2004/12/05 16:07:42  radek
- version 2.04

Revision 1.12  2004/10/24 16:39:26  paladine
- spelling fixes, upercases, etc.

Revision 1.11  2004/05/07 00:38:13  ankry
- rel. 4

Revision 1.10  2004/05/03 18:07:32  ankry
- tests added, license fixed, cosmetics

Revision 1.9  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.8  2003/08/18 08:09:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/01 21:34:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.3  2002/12/28 16:30:00  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.2  2002/07/16 11:36:36  ankry
- translations
- new %%doc
- release 2

Revision 1.1  2002/03/07 23:45:22  qboosh
- based on spec from RedHat, updated to 1.05

* Mon Dec 11 2000 Akira Tagoh <tagoh@redhat.com>
- Rebuild for 7.1

* Mon Aug 07 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for 7.0J

* Mon Apr 10 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.04.

* Thu Apr 06 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.02.

* Tue Feb 08 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Changed group (Utilities/Text -> Applications/Text).

* Sat Dec 11 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Rebuild for RHL-6.1.

* Fri Dec 03 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.01.

* Wed Dec 01 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- First build.
